Name: printoxx
Version: 2.0.1
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Software for digital image printing
License: GPLv2+
Group: Graphics

Url: http://kornelix.squarespace.com/printoxx/
Source: http://kornelix.squarespace.com/storage/downloads/printoxx-%version.tar.gz
Source1: printoxx.desktop
Source2: printoxx16.png
Source3: printoxx32.png
Patch: printoxx-asneeded.patch

# Automatically added by buildreq on Wed Jul 01 2009
BuildRequires: gcc-c++ libgtk+2-devel

%description
Printoxx is a free open source Linux program for printing one or more image
files with a user-defined page layout. Images can be added to a layout page
using the mouse to select and drop into place. Images can be moved around and
resized using the mouse. Adding text (titles, notes) works the same way. Any
font can be used.

%prep
%setup
%patch -p1

%build
%__subst 's/-O /%optflags /; s/@g++/g++/' Makefile
%make_build PREFIX=/usr DOCDIR=%_datadir/printoxx/doc

%install
%make_install PREFIX=/usr DOCDIR=%_datadir/printoxx/doc DESTDIR=%buildroot install

install -pD -m644 %SOURCE1 %buildroot%_desktopdir/printoxx.desktop
install -pD -m644 data/icons/printoxx.png %buildroot%_pixmapsdir/printoxx.png
install -pD -m644 data/icons/printoxx.png %buildroot%_liconsdir/printoxx.png
install -pD -m644 %_sourcedir/printoxx16.png %buildroot%_miconsdir/printoxx.png
install -pD -m644 %_sourcedir/printoxx32.png %buildroot%_niconsdir/printoxx.png

%files
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_datadir/printoxx

%changelog
* Wed Jul 01 2009 Victor Forsyuk <force@altlinux.org> 2.0.1-alt1
- 2.0.1

* Tue Mar 10 2009 Victor Forsyuk <force@altlinux.org> 1.9.1-alt1
- 1.9.1

* Mon Jan 12 2009 Victor Forsyuk <force@altlinux.org> 1.8-alt1
- 1.8

* Mon Dec 29 2008 Victor Forsyuk <force@altlinux.org> 1.7.1-alt1
- 1.7.1

* Wed Oct 08 2008 Victor Forsyuk <force@altlinux.org> 1.6-alt1
- 1.6

* Tue Sep 23 2008 Victor Forsyuk <force@altlinux.org> 1.4.1-alt1
- 1.4.1

* Mon Sep 15 2008 Victor Forsyuk <force@altlinux.org> 1.3.2-alt1
- 1.3.2

* Mon Sep 01 2008 Victor Forsyuk <force@altlinux.org> 1.1-alt1
- Initial build.
